Package com.xebialabs.xlrelease.risk.domain

# Class RiskAssessment

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.risk.domain.RiskAssessment

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="Assessment generated by risk assessor") public class RiskAssessment extends ReleaseExtension

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RISK_ASSESSMENT_PREFIX`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RiskAssessment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHeadline()`
  `String`
  `getIcon()`
  `List<String>`
  `getMessages()`
  `Risk`
  `getRisk()`
  `String`
  `getRiskAssessorId()`
  `Integer`
  `getScore()`
  `void`
  `setHeadline(String headline)`
  `void`
  `setIcon(String icon)`
  `void`
  `setMessages(List<String> messages)`
  `void`
  `setRisk(Risk risk)`
  `void`
  `setRiskAssessorId(String riskAssessorId)`
  `void`
  `setScore(Integer score)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept, getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RISK_ASSESSMENT_PREFIX

    public static final String RISK_ASSESSMENT_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RiskAssessment

    public RiskAssessment()

- ## Method Details

  - ### getRiskAssessorId

    public String getRiskAssessorId()

  - ### setRiskAssessorId

    public void setRiskAssessorId(String riskAssessorId)

  - ### getRisk

    public Risk getRisk()

  - ### setRisk

    public void setRisk(Risk risk)

  - ### getScore

    public Integer getScore()

  - ### setScore

    public void setScore(Integer score)

  - ### getHeadline

    public String getHeadline()

  - ### setHeadline

    public void setHeadline(String headline)

  - ### getMessages

    public List<String> getMessages()

  - ### setMessages

    public void setMessages(List<String> messages)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public void setIcon(String icon)